Skip to content
Docs

List connections

GET
/api/workspaces/{ws}/connections

Authorization

session
cookiebetter-auth.session_token<token>

Set by POST /api/auth/sign-in/email.

Path Parameters

ws*string

The workspace id (from GET /api/me).

Query Parameters

kind?string
Value in"chat""tool"

Response Body

The workspace's connections. Secrets are listed by name in secretsSet, never by value.

application/json
Example Request
curl -X GET 'https://app.useroster.work/api/workspaces/string/connections'
Example Response
[  {    "id": "8d1e5b2c-0f3a-4e7b-9c6d-1a2b3c4d5e6f",    "kind": "tool",    "type": "github",    "name": "GitHub",    "settings": {},    "secretsSet": [      "token"    ],    "status": "connected",    "statusDetail": null,    "account": "acme-studio",    "checkedAt": "2026-11-03T09:00:00.000Z",    "createdAt": "2026-11-03T09:00:00.000Z"  }]